------------------------------------------------------------------------------------
--Name:  	wuseng9
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-11
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(96, 109)
local monster_0 = CppScriptMgr:AddPlayer(101, 96, 109, "", 0, 0)
monster_0:SetCtrlMapView(1)
monster_0:SetDir(2)
monster_0:JumpTo(86, 107)
monster_0:SetZoomPercent(200)
local monster_1 = CppScriptMgr:AddPlayer(451, 73, 110, "", 0, 0)
monster_1:SetZoomPercent(5)
monster_1:SetHide(1)
monster_1:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
local effect_0 = CppScriptMgr:AddEffect("Attack35r", 83, 104, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
monster_0:JumpTo(73, 110)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(1)
local effect_3 = CppScriptMgr:AddEffect("Attack35r", 70, 107, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1200)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 70, 107, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
monster_1:SetHide(0)
local effect_2 = CppScriptMgr:AddEffect("taoist-huohuan", 70, 107, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
monster_0:SetHide(1)
monster_0:SetCtrlMapView(0)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(67, 104)
ChangeNpcZoom(monster_1, 5, 100, 5, 60)
CppScriptMgr:WaitMilSec(140)
local effect_5 = CppScriptMgr:AddEffect("Digong_BG", 70, 107, 33, 1, 1, 1)
effect_5:Scale(1.5, 1.5, 1.5)
local effect_6 = CppScriptMgr:AddEffect("QiFuLev3", 70, 107, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(3350)